{
  "name": "skrill",
  "version": "0.0.1",
  "description": "Skrill UI for stock and crypto trading",
  "author": "Mathew Guest <mat@zavage.net",
  "homepage": "https://zavage-software.com",
  "license": "Proprietary",
  "contributors": [
    "Mathew Guest <mat@zavage.net>"
  ],
  "keywords": [
    "jest",
    "transloco",
    "prettier",
    "cypress",
    "compodoc",
    "docker",
    "eslint"
  ],
  "repository": "https://git.zavage.net/Zavage-Software/skrill-frontend",
  "bugs": {
    "url": "https://git.zavage.net/Zavage-Software/skrill-frontend"
  },
  "readme": "https://git.zavage.net/Zavage-Software/skrill-frontend",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "build:prod": "ng build --configuration production",
    "build:prod:stats": "ng build --configuration production --stats-json",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:ci": "jest --runInBand",
    "test:coverage": "jest --coverage",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "compodoc": "npx compodoc -p tsconfig.app.json",
    "analyze": "source-map-explorer dist/angular-starter/**/*.js",
    "prettier": "prettier --write \"src/app/**/*.{js,json,css,scss,less,md,ts,html,component.html}\"",
    "prepare": "husky install",
    "audit": "auditjs ossi",
    "version": "auto-changelog -p && git add CHANGELOG.md",
    "docs:json": "compodoc -p ./tsconfig.json -e json -d .",
    "cypress:open": "cypress open",
    "cypress:run": "cypress run"
  },
  "private": false,
  "dependencies": {
    "@angular/animations": "^17.3.6",
    "@angular/cdk": "^17.3.6",
    "@angular/common": "^17.3.6",
    "@angular/compiler": "^17.3.6",
    "@angular/core": "^17.3.6",
    "@angular/forms": "^17.3.6",
    "@angular/platform-browser": "^17.3.6",
    "@angular/platform-browser-dynamic": "^17.3.6",
    "@angular/router": "^17.3.6",
    "@ng-bootstrap/ng-bootstrap": "^16.0.0",
    "@ngneat/transloco": "^6.0.4",
    "ag-grid-angular": "^32.0.2",
    "ag-grid-community": "^32.0.2",
    "bootstrap": "^5.3.3",
    "ng": "^0.0.0",
    "rxjs": "~7.8.1",
    "tslib": "^2.5.0",
    "zone.js": "^0.14.3"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.3.6",
    "@angular-eslint/builder": "^17.3.0",
    "@angular-eslint/eslint-plugin": "^17.3.0",
    "@angular-eslint/eslint-plugin-template": "^17.3.0",
    "@angular-eslint/schematics": "^17.3.0",
    "@angular-eslint/template-parser": "^17.3.0",
    "@angular/cli": "^17.3.8",
    "@angular/compiler-cli": "^17.3.6",
    "@babel/core": "^7.21.8",
    "@commitlint/cli": "^19.3.0",
    "@commitlint/config-conventional": "^19.2.2",
    "@compodoc/compodoc": "^1.1.24",
    "@cypress/schematic": "^2.5.1",
    "@types/eslint": "8.56.10",
    "@types/jest": "^29.5.12",
    "@types/node": "^18.15.11",
    "@typescript-eslint/eslint-plugin": "7.7.1",
    "@typescript-eslint/eslint-plugin-tslint": "7.0.2",
    "@typescript-eslint/parser": "7.7.1",
    "auditjs": "^4.0.45",
    "auto-changelog": "^2.4.0",
    "babel-loader": "^9.1.2",
    "cypress": "latest",
    "eslint": "^8.40.0",
    "eslint-config-prettier": "^8.8.0",
    "eslint-plugin-import": "^2.27.5",
    "eslint-plugin-jsdoc": "^43.2.0",
    "eslint-plugin-prefer-arrow": "^1.2.3",
    "eslint-plugin-storybook": "^0.6.12",
    "husky": "^9.0.11",
    "jest": "^29.7.0",
    "jest-junit": "^16.0.0",
    "jest-preset-angular": "^14.0.3",
    "prettier": "^3.2.5",
    "source-map-explorer": "^2.5.3",
    "ts-node": "~10.9.1",
    "typescript": "^5.3.3"
  },
  "lint-staged": {
    "*.{js,json,css,scss,less,md,ts,html,component.html}": [
      "prettier --write"
    ]
  }
}
